
Redmine - Patch #20508

Required file lib/redmine/hook.rb is patching autoloaded ApplicationHelper

2015-08-11 02:00 - Ondřej Ezr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.2.0   

Description

Redmine::Hook::Helper is in file, which is required, but is patching ApplicationHelper and that is loaded by Rails autoloading. So its

patch is forgotten after reloading

Associated revisions

Revision 14510 - 2015-08-18 08:57 - Jean-Philippe Lang

Required file lib/redmine/hook.rb is patching autoloaded ApplicationHelper (#20508).

Patch by Ondřej.

Revision 14520 - 2015-08-22 13:49 - Jean-Philippe Lang

Reverts r14510 (#20508) and r14511 (#20507), tests broken.

Revision 14693 - 2015-10-19 19:30 - Jean-Philippe Lang

Include helper instead of patching (#20508).

Revision 14694 - 2015-10-19 20:03 - Jean-Philippe Lang

Extract classes to their own files to prevent loading issues (#20508).

History

#1 - 2015-08-18 08:58 - Jean-Philippe Lang

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.0

Patch committed in r14510, thanks.

#2 - 2015-08-22 13:49 - Jean-Philippe Lang

- Status changed from Closed to Reopened

Tests broken, patch reverted:

http://www.redmine.org/builds/logs/build_trunk_postgresql_ruby-2.2_2567.html

#3 - 2015-10-19 19:30 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Different fix applied in r14693.

Files
